<?php

/*
===========================================================

	프로젝트 이름 : 피리 그누보드5 엑셀 다운로드

	만든사람 : 피리 PIREE

	홈페이지 : www.piree.kr

	작업날짜 : 2018년 09월 23일 일요일 오후 19시 48분

	저 작 권 : Copyright ⓒ 2014-2018 피리 (PIREE) All right reserved
							그누보드 외에 추가된 소스는~
							만든사람의 허락없이 무단으로 사용할수 없습니다.
							사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
							http://www.piree.kr 에 문의해 주세요.

===========================================================
 피리 > 관리자 > 피리 그누보드5 엑셀 다운로드 PLUS G5 > 처음
===========================================================


*/


$sub_menu = "770061";
include_once('./_common.php');
IF ( !$is_member )
{
alert('회원만 이용하실 수 있습니다.', G5_URL);
}
IF ( !$is_admin )
{
alert('접근할 권한이 없습니다.', G5_URL);
}
auth_check($auth[PIREE_PLUS_G5_EXCEL_DOWNLOAD_N], 'r');
set_time_limit ( 0 );
ini_set('memory_limit', '500M');
$get__piree_config = 1;
$is_get__p770061 = 1;
include_once( get__sam_file(PIREE_PLUS_G5_EXCEL_DOWNLOAD_N, 'config', 'path') );
if ( $p770061__use_G5_EXCEL_DOWNLOAD_n != 1 )alert("엑셀 다운로드를 사용하지 않아 다운로드할수 없습니다.");
$article_t = 0;
$article__a = array();
include_once(G5_LIB_PATH.'/PHPExcel.php');
$headers = array('글번호', '제목', '내용', '작성자', '작성일시');
$widths  = array(10, 30, 50, 16, 22);
$header_bgcolor = 'EFEFEF';
$last_char = column_char(count($headers) - 1);
$sql_sel = "SELECT COUNT(*) FROM `". $write_table ."`";
$exist_t = (int)sql_efv($sql_sel);
IF ( $exist_t > 0 )
{
$sql_sel  = "SELECT * FROM `". $write_table ."` ";
$sql_sel .= "ORDER BY `wr_id` DESC";
$result = sql_query($sql_sel);
WHILE ( $row = sql_fetch_array($result) )
{
$in_wr_id = $row['wr_id'];
$in_wr_subject = get_text($row['wr_subject']);
$in_wr_content = get_text($row['wr_content']);
$in_wr_name = $row['wr_name'];
$in_wr_datetime = $row['wr_datetime'];
$article__a[] = array(
$in_wr_id,
$in_wr_subject,
$in_wr_content,
$in_wr_name,
$in_wr_datetime
);
$article_t++;
}
}
$data = array_merge(array($headers), $article__a);
$excel = new PHPExcel();
$excel->setActiveSheetIndex(0)->getStyle( "A1:${last_char}1" )->getFill()->setFillType(PHPExcel_Style_Fill::FILL_SOLID)->getStartColor()->setARGB($header_bgcolor);
$excel->setActiveSheetIndex(0)->getStyle( "A:$last_char" )->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER)->setWrapText(true);
foreach($widths as $i => $w) $excel->setActiveSheetIndex(0)->getColumnDimension( column_char($i) )->setWidth($w);
$excel->getActiveSheet()->fromArray($data,NULL,'A1');
header("Content-Type: application/octet-stream");
header("Content-Disposition: attachment; filename=\"{$bo_table}.xls\"");
header("Cache-Control: max-age=0");
$writer = PHPExcel_IOFactory::createWriter($excel, 'Excel5');
$writer->save('php://output');
function column_char($i) { return chr( 65 + $i ); }


?>